#pragma once

#include "v3.h"

class M3x3 {
public:
  V3 rows[3];
  M3x3() {};
  V3& operator[](int i);
  V3 operator*(V3 &v);
  M3x3 operator*(M3x3 &m);
  void SetColumn(int i, V3 v);
  V3 GetColumn(int i);
  M3x3 Invert();
  friend ostream& operator<<(ostream& ostr, M3x3& m);

};