#ifndef FRAMEBUFFER_H_
#define FRAMEBUFFER_H_

#include <FL/Fl.H>
#include <FL/Fl_Gl_Window.H>
#include <GL/glut.h>

class FrameBuffer : public Fl_Gl_Window {

public:
  int w, h;
  unsigned int *pix;
  FrameBuffer(int u0, int v0, int w, int h);
  void SetGrid(int checkerSize, unsigned int colors[2]);
  void Set(unsigned int color);
  void Set(int u, int v, unsigned int color);
  void SetGuarded(int u, int v, unsigned int color);
  void draw();
  void DrawDiagonalCross(
    int u, int v, unsigned int color, int sizePix);
};


#endif