#pragma once

#include "v3.h"
#include "M3x3.h"
#include "framebuffer.h"
#include "phc.h"

class TMesh {

  V3 *vertices;
  int verticesN;
  V3 *colors;
  unsigned int *connectivity;
  int trianglesN;
public:
  TMesh();
  void Load(char *fname);
  void RenderPoints(PPC *ppc, FrameBuffer *fb);
  V3 GetCenter();
  void Translate(V3 trans);
  void Scale(float scf);

};